App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
mhr.appcore.commands.imagecommands.rasterdatacommands.CopyRasterDataCommand Class Reference

Příkaz zapouzdřuje kopírování rastrových dat. More...

Inheritance diagram for mhr.appcore.commands.imagecommands.rasterdatacommands.CopyRasterDataCommand:

## Public Member Functions
| CopyRasterDataCommand (ImageSelectedState item, int itemId)
| Výchozí konstruktor.
void | setPDFeedback (PDFeedback f)
| Nastaví zpětnou vazbu, která má být provedena po vykonání příkazu.
void | setPDExceptionFeedback (PDFeedback ef)
| Nastaví zpětnou vazbu, která má být provedena v případě neodchycené výjimky, která nastala při vykonávání příkazu.
void | execute (AppCore target)
| Zpustí provedení příkazu na dané instanci jádra aplikace.
void | dispose ()
| Způsobí uvolnění nativních prostředků.

## Public Attributes
RuntimeException | e = null
| Výjimka, která nastale běhěm vykonávání příkazu. Bude nastavena pouze, pokud exceptionFeedback != null.

## Protected Member Functions
void | action (AppCore target)
| Akce, která se má po spuštění provést.

## Protected Attributes
int | itemId
| ID vybrané vrstvy, pokud je vybraná vrstva.
ImageSelectedState | item
| Určení stavu vůběru - maska, vrstva, maska vrstvy.
PDFeedback | feedback = null
| Platformě závislá zpětná vazba, která má být spuštěna po provedení příkazu.
PDFeedback | exceptionFeedback = null
| Platformě závislá zpětná vazba, která má být spuštěna, pokud při provádění příkazu dojde k RuntimeException, později pravděpodobně bude omezeno.

## Detailed Description

Příkaz zapouzdřuje kopírování rastrových dat.

Definition at line 10 of file CopyRasterDataCommand.java.

## Constructor & Destructor Documentation

mhr.appcore.commands.imagecommands.rasterdatacommands.CopyRasterDataCommand.CopyRasterDataCommand | ( | ImageSelectedState | item,
|  | int | itemId
| ) |  |
| inline

Výchozí konstruktor.

Parameters

  item | Co se má kopírovat
  itemId | Id kopírované vrstvy, pokud je vybrána vrstva.

Definition at line 20 of file CopyRasterDataCommand.java.

{
this.item = item;
this.itemId = itemId;
}

## Member Function Documentation

void mhr.appcore.commands.imagecommands.rasterdatacommands.CopyRasterDataCommand.action | ( | AppCore | target | ) |
| inlineprotectedvirtual

Akce, která se má po spuštění provést.

Parameters

  target |

Implements mhr.appcore.commands.AppCommand.

Definition at line 26 of file CopyRasterDataCommand.java.

{
target.getImg().toClipBoard(item, itemId);
target.getRenderer().render();
}

void mhr.appcore.commands.AppCommand.dispose | ( |  | ) |
| inlineinherited

Způsobí uvolnění nativních prostředků.

Pokud v případě neprovedení příkazu, například kvůli odstranění z fronty díky vyjímce, by mohlo dojít k memory leaku, musí třída přepsat toto chování.

Definition at line 62 of file AppCommand.java.

{
}

void mhr.appcore.commands.AppCommand.execute | ( | AppCore | target | ) |
| inlineinherited

Zpustí provedení příkazu na dané instanci jádra aplikace.

Parameters

  target |

Definition at line 34 of file AppCommand.java.

{
try {
action(target);
} catch (RuntimeException e) {
if (exceptionFeedback != null) {
this.e = e;
exceptionFeedback.feedback();
return;
} else {
throw e;
}
}
if (feedback != null) {
feedback.feedback();
}
}

void mhr.appcore.commands.AppCommand.setPDExceptionFeedback | ( | PDFeedback | ef | ) |
| inlineinherited

Nastaví zpětnou vazbu, která má být provedena v případě neodchycené výjimky, která nastala při vykonávání příkazu.

Parameters

  ef |

Definition at line 26 of file AppCommand.java.

{
this.exceptionFeedback = ef;
}

void mhr.appcore.commands.AppCommand.setPDFeedback | ( | PDFeedback | f | ) |
| inlineinherited

Nastaví zpětnou vazbu, která má být provedena po vykonání příkazu.

Parameters

  f |

Definition at line 18 of file AppCommand.java.

{
this.feedback = f;
}

## Member Data Documentation

RuntimeException mhr.appcore.commands.AppCommand.e = null
| inherited

Výjimka, která nastale běhěm vykonávání příkazu. Bude nastavena pouze, pokud exceptionFeedback != null.

Definition at line 12 of file AppCommand.java.

PDFeedback mhr.appcore.commands.AppCommand.exceptionFeedback = null
| protectedinherited

Platformě závislá zpětná vazba, která má být spuštěna, pokud při provádění příkazu dojde k RuntimeException, později pravděpodobně bude omezeno.

Definition at line 10 of file AppCommand.java.

PDFeedback mhr.appcore.commands.AppCommand.feedback = null
| protectedinherited

Platformě závislá zpětná vazba, která má být spuštěna po provedení příkazu.

Definition at line 9 of file AppCommand.java.

ImageSelectedState mhr.appcore.commands.imagecommands.rasterdatacommands.CopyRasterDataCommand.item
| protected

Určení stavu vůběru - maska, vrstva, maska vrstvy.

Definition at line 13 of file CopyRasterDataCommand.java.

int mhr.appcore.commands.imagecommands.rasterdatacommands.CopyRasterDataCommand.itemId
| protected

ID vybrané vrstvy, pokud je vybraná vrstva.

Definition at line 12 of file CopyRasterDataCommand.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/commands/imagecommands/rasterdatacommands/CopyRasterDataCommand.java